unit U_kw;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, BtnEdit;

type
  Tfrmkw = class(TForm)
    Label1: TLabel;
    kw: TBtnEditA;
    Button1: TButton;
    Button2: TButton;
    procedure kwBtnClick(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    { Private declarations }
  public
    fc_CodeName:string;
    { Public declarations }
  end;

var
  frmkw: Tfrmkw;

implementation

uses U_CPKWList;

{$R *.dfm}

procedure Tfrmkw.kwBtnClick(Sender: TObject);
begin
  frmCPKWList:=TfrmCPKWList.create(self);
  with frmCPKWList do
  begin
    defstr1.Text:=trim(fc_CodeName);
    if showmodal=1 then
    begin
      kw.Text:=CDS_HZ.fieldbyname('zdyCode').asstring;
    end;
    free;
  end;
end;

procedure Tfrmkw.Button1Click(Sender: TObject);
begin
  ModalResult:=1;
end;

procedure Tfrmkw.Button2Click(Sender: TObject);
begin
  ModalResult:=-1;
end;

procedure Tfrmkw.FormDestroy(Sender: TObject);
begin
  frmkw:=nil;
end;

end.
